<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/
class inventory_app extends application
{
	function __construct()
	{
		parent::__construct("stock", _($this->help_context = "&Items and Inventory"));

            $this->add_module(_("Transactions"));
                $this->add_lapp_function(0, _("Material &Requisitions"),"inventory/material_requisitions.php?NewRequisition=Yes", 'SA_MATERIAL_REQ', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Material Transfer &Requisitions"),"inventory/material_transfer_requisitions.php?NewRequisition=1", 'SA_MATERIAL_TRANSFER_REQ', MENU_TRANSACTION);

                $this->add_lapp_function(0, "","");
                $this->add_lapp_function(0, _("Site Material &Returns"),"inventory/site_material_returns.php?NewOrder", 'SA_SITE_MATERIAL_RETURN', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Inventory &Receipt Request"),"inventory/inventory_adjustment_request.php?Positive=1", 'SA_INVENTORY_RECEIPT_REQUEST', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Inventory &Issue Request"),"inventory/inventory_adjustment_request.php?Positive=0", 'SA_INVENTORY_ISSUE_REQUEST', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Inventory Location &Transfers"),"inventory/transfers.php?NewTransfer=1", 'SA_LOCATIONTRANSFER', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Stock &Reservations"),"inventory/stock_reservations.php?", 'SA_LOCATIONTRANSFER', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Daily Item Issue"),"inventory/daily_item_issue.php?NewIssue=0", 'SA_DAILY_ITEM_ISSUE', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Batch Item Issue"),"inventory/batch_item_issue.php?NewIssue=0", 'SA_DAILY_ITEM_ISSUE', MENU_TRANSACTION);

                $this->add_lapp_function(0, "","");

                $this->add_lapp_function(0, _("&Outstanding Material Requisitions"),"inventory/inquiry/outstanding_material_requisitions_inquiry.php?", 'SA_MATERIAL_REQ_VIEW', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Outstanding Petty Cash Item Receipts"),"inventory/inquiry/petty_cash_item_receipts_inquiry.php?outstanding=1", 'SA_RECEIVE_PETTY_CASH_ITEMS', MENU_TRANSACTION);

//		$this->add_rapp_function(0, _("Inventory &Adjustments"),
//			"inventory/adjustments.php?NewAdjustment=1", 'SA_INVENTORYADJUSTMENT', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Approve Material Requisitions"),"inventory/inquiry/approve_material_requsitions.php?Approves=1", 'SA_APPROVE_MATERIAL_REQ', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Approve Inventory Adjustments"),"inventory/inquiry/approve_inventory_adjustment_requests_inquiry.php?Approves=1", 'SA_INVENTORY_ADJ_REQUESTS_INQ', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Approve Material Transfer Requisitions"),"inventory/inquiry/approve_material_transfer_requisitions.php?Approves=1", 'SA_APPROVE_MATERIAL_TRANSFER_REQ', MENU_TRANSACTION);

                $this->add_rapp_function(0, "",""); 

                $this->add_rapp_function(0, _("Item &Lots"),"inventory/lots.php?", 'SA_INVENTORYADJUSTMENT', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Lot &Adjustments"),"inventory/lot_adjustments.php?NewAdjustment=1", 'SA_INVENTORYADJUSTMENT', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Item Serial Nos"),"inventory/serial_no.php?", 'SA_INVENTORYADJUSTMENT', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Item Serial No &Adjustments"),"inventory/serial_no_adjustments.php?NewAdjustment=1", 'SA_INVENTORYADJUSTMENT', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Create &Gate Pass"),"inventory/create_gate_pass.php?", 'SA_CREATE_GATE_PASS', MENU_TRANSACTION);

                
            $this->add_module(_("Inquiries and Reports"));
		$this->add_lapp_function(1, _("Material Requisitions Inquiry"),"inventory/inquiry/material_requisitions_inquiry.php?", 'SA_MATERIAL_REQ_VIEW', MENU_INQUIRY);
                $this->add_lapp_function(1, _("Material Issues Inquiry"),"inventory/inquiry/material_issues_inquiry.php?", 'SA_MATERIAL_REQ_VIEW', MENU_INQUIRY);
                $this->add_lapp_function(1, _("Material Returns Inquiry"),"inventory/inquiry/material_returns_inquiry.php?", 'SA_MATERIAL_REQ_VIEW', MENU_INQUIRY);
                $this->add_lapp_function(1, "","");
                
                $this->add_lapp_function(1, _("Petty Cash Item Receipts &Inquiry"),"inventory/inquiry/petty_cash_item_receipts_inquiry.php?", 'SA_PETTY_CASH_ITEM_RECEIPTS_INQ', MENU_INQUIRY);
                $this->add_lapp_function(1, _("&Site Material Returns Inquiry"),"inventory/inquiry/site_material_returns_inquiry.php?", 'SA_SITE_MATERIAL_RETURN_INQ', MENU_INQUIRY);
                $this->add_lapp_function(1, _("Inventory Adjustment &Requests Inquiry"),"inventory/inquiry/inventory_adjustment_requests_inquiry.php?", 'SA_INVENTORY_ADJ_REQUESTS_INQ', MENU_INQUIRY);
                $this->add_lapp_function(1, _("Stock &Reservations Inquiry"),"inventory/inquiry/stock_reservation_inquiry.php?", 'SA_ITEMSTRANSVIEW', MENU_INQUIRY);
                $this->add_lapp_function(1, _("&Daily Item Issue Inquiry"),"inventory/inquiry/daily_item_issue_inquiry.php?", 'SA_DAILY_ITEM_ISSUES_INQ', MENU_INQUIRY);
                $this->add_lapp_function(1, _("&Daily Item Return Inquiry"),"inventory/inquiry/daily_item_return_inquiry.php?", 'SA_DAILY_ITEM_RETURNS_INQ', MENU_INQUIRY);
                $this->add_lapp_function(1, _("&Batch Item Issues Inquiry"),"inventory/inquiry/batch_item_issue_inquiry.php?", 'SA_DAILY_ITEM_RETURNS_INQ', MENU_INQUIRY);

        
                                
                $this->add_rapp_function(1, _("Material &Transfer Requisitions Inquiry"),"inventory/inquiry/material_transfer_requisitions_inquiry.php?Approves=1", 'SA_MATERIAL_TRANS_REQ_VIEW', MENU_TRANSACTION);
		$this->add_rapp_function(1, _("Material &Requisition Transfers Inquiry"),"inventory/inquiry/material_requisition_transfers_inquiry.php?type=".ST_REQTRANSFER, 'SA_MATERIAL_TRANS_REQ_VIEW', MENU_TRANSACTION);
                $this->add_rapp_function(1, _("Material &Transfer Receipts Inquiry"),"inventory/inquiry/material_requisition_transfers_inquiry.php?type=".ST_MATERIAL_TRANSFER_RECEIPT, 'SA_MATERIAL_TRANS_REQ_VIEW', MENU_TRANSACTION);
		$this->add_rapp_function(1, "","");
                
                $this->add_rapp_function(1, _("Inventory Transactions Inquiry"),"inventory/inquiry/inventory_transactions_inquiry.php?", 'SA_ITEMSTRANSVIEW', MENU_INQUIRY);
                $this->add_rapp_function(1, _("Inventory Item &Movements"),"inventory/inquiry/stock_movements.php?", 'SA_ITEMSTRANSVIEW', MENU_INQUIRY);
                $this->add_rapp_function(1, _("Item Transactions Inquiry"),"inventory/inquiry/item_transactions_inquiry.php?", 'SA_ITEMSTRANSVIEW', MENU_INQUIRY);
		$this->add_rapp_function(1, _("Inventory Item &Status"),"inventory/inquiry/stock_status.php?", 'SA_ITEMSSTATVIEW', MENU_INQUIRY);
		$this->add_rapp_function(1, _("Inventory Item &Cost Inquiry"),"inventory/inquiry/item_cost_inquiry.php?", 'SA_ITEMSSTATVIEW', MENU_INQUIRY);
		$this->add_rapp_function(1, _("Item &Transaction Summary"),"inventory/inquiry/item_transaction_summary.php?", 'SA_ITEMSSTATVIEW', MENU_INQUIRY);
                
                $this->add_rapp_function(1, "","");
		$this->add_rapp_function(1, _("Inventory &Reports"),"reporting/reports_main.php?Class=".RC_INVENTORY, 'SA_ITEMSANALYTIC', MENU_REPORT);

		
            $this->add_module(_("Maintenance"));
		$this->add_lapp_function(2, _("&Items"),"inventory/manage/items.php?", 'SA_ITEM', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("&Foreign Item Codes"),"inventory/manage/item_codes.php?", 'SA_FORITEMCODE', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Sales &Kits"),"inventory/manage/sales_kits.php?", 'SA_SALESKIT', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Item &Categories"),"inventory/manage/item_categories.php?", 'SA_ITEMCATEGORY', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Inventory &Locations"),"inventory/manage/locations.php?", 'SA_INVENTORYLOCATION', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _("Inventory &Movement Types"),"inventory/manage/movement_types.php?", 'SA_INVENTORYMOVETYPE', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("&Units of Measure"),"inventory/manage/item_units.php?", 'SA_UOM', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("&Reorder Levels"),"inventory/reorder_level.php?", 'SA_REORDER', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _("&Material Groups"),"inventory/manage/material_groups.php?", 'SA_REORDER', MENU_MAINTENANCE);
        
        

                $this->add_rapp_function(2, _("Stock Count"),"inventory/stock_count.php?NewStockCount=Yes", 'SA_STOCK_COUNT', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("Maintain Stock Counts"),"inventory/inquiry/search_stock_count.php", 'SA_STOCK_COUNT', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("Import Stock Count Details"),"inventory/import_stock_count.php", 'SA_STOCK_COUNT', MENU_MAINTENANCE);
                $this->add_rapp_function(2, "","");
                $this->add_rapp_function(2, _("Import Stock Items"),"inventory/manage/import_items.php", 'SA_IMPORT_STOCK_ITEMS', MENU_MAINTENANCE);        
                $this->add_rapp_function(2, _("Import Material Groups"),"inventory/manage/import_item_material_groups.php", 'SA_IMPORT_ITEM_MATERIAL_GROUPS', MENU_MAINTENANCE);
        

            $this->add_module(_("Pricing and Costs"));
		$this->add_lapp_function(3, _("Sales &Pricing"),"inventory/prices.php?", 'SA_SALESPRICE', MENU_MAINTENANCE);
		$this->add_lapp_function(3, _("Purchasing &Pricing"),"inventory/purchasing_data.php?", 'SA_PURCHASEPRICING', MENU_MAINTENANCE);
                $this->add_lapp_function(3, _("P&OS Prices"),"inventory/pos_prices.php?", 'SA_PURCHASEPRICING', MENU_MAINTENANCE);
		$this->add_rapp_function(3, _("Standard &Costs"),"inventory/cost_update.php?", 'SA_STANDARDCOST', MENU_MAINTENANCE);

		
            $this->add_extensions();
	}
}


?>